package com.aihuishou.picpicker

import android.content.Context
import android.content.pm.ApplicationInfo

/**
 * created by limian
 */
data class AspectRatio(val ratioX: Int, val ratioY: Int)
class Config(
    var minSelectNum: Int = 1,
    var maxSelectNum: Int = 1,
    var minFileSize: Int = 0,
    var maxFileSize: Int = Int.MAX_VALUE,
    var maxVideoDuration: Int = Int.MAX_VALUE,
    var isOriginalControl: Boolean = false,
    var isEditorImage: Boolean = false,
    var isCropEnable: Boolean = false,
    var isMutableSelect: Boolean = maxSelectNum > minSelectNum,
    var canTakePhoto: Boolean = false,
    var aspectRatio: AspectRatio? = null,
    var withPreviousData: Boolean = isMutableSelect
) {

    companion object {

        @JvmStatic
        fun ofSinglePickerConfig(): Config {
            return Config(
                minSelectNum = 1,
                maxSelectNum = 1,
                isOriginalControl = true,
                isEditorImage = true,
                canTakePhoto = true
            )
        }

    }

}

fun log(context: Context, message: String) {
    if (isDebug(context)) {
        println(message)
    }
}

fun isDebug(context: Context): Boolean {
    val appInfo = context.applicationInfo
    return appInfo.flags.and(ApplicationInfo.FLAG_DEBUGGABLE) != 0
}