package com.aihuishou.picpicker.preview;

import android.content.DialogInterface;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.VideoView;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import com.aihuishou.pjt.loading.MyProgressDialog;
import com.google.android.exoplayer2.SimpleExoPlayer;
import com.google.android.exoplayer2.source.MediaSource;
import com.google.android.exoplayer2.source.ProgressiveMediaSource;
import com.google.android.exoplayer2.ui.PlayerControlView;
import com.google.android.exoplayer2.ui.PlayerView;
import com.google.android.exoplayer2.upstream.DataSource;
import com.google.android.exoplayer2.upstream.DefaultDataSourceFactory;
import com.google.android.exoplayer2.util.Util;
import com.zhaoshuang.weixinrecorded.R;

public class VideoPreviewActivity extends AppCompatActivity {

    private SimpleExoPlayer player;


    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            setContentView(R.layout.activity_single_video_preview);
            String vp =getIntent().getStringExtra("videoPath");
            Uri uri = Uri.parse(vp);
            DataSource.Factory dataSourceFactory = new DefaultDataSourceFactory(this,
                    Util.getUserAgent(this, "com.aihuishou.opt"));
            MediaSource videoSource =
                    new ProgressiveMediaSource.Factory(dataSourceFactory)
                            .createMediaSource(uri);
            //2.创建ExoPlayer
            player = new SimpleExoPlayer.Builder(this).build();
            //4.为SimpleExoPlayer设置播放器
            PlayerView playerView = findViewById(R.id.playerView);
            PlayerControlView playerControlView = findViewById(R.id.player_control_view);
            playerControlView.getShowShuffleButton();
            playerView.setPlayer(player);
            playerControlView.setPlayer(player);
            player.prepare(videoSource);
        }catch (Exception e){
            new AlertDialog.Builder(this).setMessage("视频解析失败，请检查视频格式")
                    .setPositiveButton("确认", new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            finish();
                        }
                    })
                    .show();
        }

    }



    @Override
    protected void onStop() {
        super.onStop();
        player.stop();
    }
}
